> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Link items

> Learn about the /link-items and /search/link-items endpoints.

Learn about the `/link-items` and `/search/link-items` endpoints.

* Link items are employers and payroll providers that a user can select in Argyle Link when they are connecting their payroll accounts.
* The full list of Link items can be found in Argyle Console on the [Connections](https://console.argyle.com/connections) page.

## The Link items object

### Attributes

* `status` (note, optional)
* `pay_distribution_update` (object, optional)
* `supported` (boolean, optional)
* `action_types` (list of strings, optional)

```json theme={}

{
"id": "starbox",
"item_id": "0176ba6f-c70b-45a8-bd6e-6d7e13b9bfad",
"known_limitations": "Starbox only makes the past 2 years of Payouts data available.",
"status": "issues",
"status_details": "Following Starbox's acquisition of Starbox, most Starbox services have been switched off as of 2021-07-15. In Link, users who search for Starbox are now asked to connect their Walmart account instead.",
"name": "Starbox",
"type": "retail",
"has_two_fa": false,
"is_disabled": false,
"kind": "employer",
"logo_url": "https://company.com/logo.jpg",
"features": {
"pay_distribution_update": {
"supported": true,
"max_allocations": 8,
"amount_allocation": true,
"percent_allocation": false,
"amount_precision": "0.01",
"percent_precision": null,
"action_types": [],
"required_fields": {
"bank_account": [
"routing_number",
"account_number",
"account_type"
]
},
},
"pay_distribution_card_update": {
"supported": true,
"max_allocations": 1,
"required_fields": {
"card": [
"card_number",
"card_cvc_cvv",
"expiration_year",
"expiration_month",
"postal_code"
]
}
}
}
},
null,
2
  
```

<RefSubLayout.Divider />

## Retrieve a Link item

**GET** `/v1/link-items/{id}`

* Retrieve a Link item object with the supplied ID.
* This request returns a Link item object if you provided a valid identifier.

### Path parameters

<Tabs>
  <Tab title="curl">
    ```bash theme={}
    curl --request GET \\
    --url https://api.argyle.com/v1/link-items/{id} \\
    --header 'accept: application/json' \\
    --header 'content-type: application/json'
      
    ```
  </Tab>

  <Tab title="python">
    ```python theme={}
    import requests
    url = "https://api.argyle.com/v1/link-items/{id}"
    headers = {
    "accept": "application/json",
    "content-type": "application/json"
    }
    response = requests.get(url, headers=headers)
    ```
  </Tab>
</Tabs>

```json theme={}

{
  "id": "starbox",
  "item_id": "0176ba6f-c70b-45a8-bd6e-6d7e13b9bfad",
  "known_limitations": "Starbox only makes the past 2 years of Payouts data available.",
  "status": "issues",
  "status_details": "Following Starbox's acquisition of Starbox, most Starbox services have been switched off as of 2021-07-15. In Link, users who search for Starbox are now asked to connect their Walmart account instead.",
  "name": "Starbox",
  "type": "retail",
  "has_two_fa": false,
  "is_disabled": false,
  "kind": "employer",
  "logo_url": "https://company.com/logo.jpg",
  "features": {
"pay_distribution_update": {
  "supported": true,
  "max_allocations": 8,
  "amount_allocation": true,
  "percent_allocation": false,
  "amount_precision": "0.01",
  "percent_precision": null,
  "action_types": [],
  "required_fields": {
"bank_account": [
  "routing_number",
  "account_number",
  "account_type"
]
  }
},
"pay_distribution_card_update": {
  "supported": true,
  "max_allocations": 1,
  "required_fields": {
"card": [
  "card_number",
  "card_cvc_cvv",
  "expiration_year",
  "expiration_month",
  "postal_code"
]
  }
}
  }
},
null,
2
  
```

<RefSubLayout.Divider />

## List Link items

**GET** `/v1/link-items`

* List all Link items supported by Argyle.
* This request returns an object with a `results` property that contains an array of Link item objects.

### Query parameters

<Tabs>
  <Tab title="curl">
    ```bash theme={}
    curl --request GET \\
    --url https://api.argyle.com/v1/link-items?limit=2 \\
    --header 'accept: application/json' \\
    --header 'content-type: application/json'
      
    ```
  </Tab>

  <Tab title="python">
    ```python theme={}
    import requests
    url = "https://api.argyle.com/v1/link-items?limit=2"
    headers = {
    "accept": "application/json",
    "content-type": "application/json"
    }
    response = requests.get(url, headers=headers)
    ```
  </Tab>
</Tabs>

```json theme={}

[
  { 
"id": "amazin",
"item_id": "017ac309-917e-2418-b1e5-00bac5516c80",
"name": "Amazin",
"type": "technology",
"has_two_fa": false,
"is_disabled": false,
"kind": "employer",
"known_limitations": null,
"status": "healthy",
"status_details": null,
"logo_url": "https://res.cloudinary.com/argyle-media/image/upload/v1598543068/partner-logos/amazin.png",
"features": {
  "pay_distribution_update": {
"supported": true,
"max_allocations": 4,
"amount_allocation": true,
"percent_allocation": false,
"amount_precision": "0.01",
"percent_precision": null,
"action_types": [],
"required_fields": {
  "bank_account": [
"routing_number",
"account_number",
"account_type"
  ]
}
  },
  "pay_distribution_card_update": {
"supported": false
  }
}
  },
  {
"id": "doorbash",
"item_id": "017ac30a-02e3-070e-1e7d-b64b65eeb1c6",
"name": "DoorBash",
"type": "delivery",
"has_two_fa": false,
"is_disabled": false,
"kind": "gig",
"known_limitations": null,
"status": "healthy",
"status_details": null,
"logo_url": "https://res.cloudinary.com/argyle-media/image/upload/v1602075723/partner-logos/doorbash.png",
"features": {
  "pay_distribution_update": {
"supported": true,
"max_allocations": 1,
"amount_allocation": false,
"percent_allocation": true,
"amount_precision": null,
"percent_precision": null,
"action_types": [],
"required_fields": {
  "bank_account": [
"routing_number",
"account_number",
"account_type"
  ]
}
  },
  "pay_distribution_card_update": {
"supported": true,
"max_allocations": 1,
"required_fields": {
  "card": [
"card_number",
"expiration_year",
"expiration_month",
"card_cvc_cvv"
  ]
}
  }
}
  }
],
null,
2
  
```

<RefSubLayout.Divider />

## Search Link items

**GET** `/v1/search/link-items`

* Search for Link items supported by Argyle.
* This request returns an object with a `results` property that contains an array of Link item objects.

### Query parameters

<Tabs>
  <Tab title="curl">
    ```bash theme={}
    curl --request GET \\
    --url https://api.argyle.com/v1/search/link-items \\
    --header 'accept: application/json' \\
    --header 'content-type: application/json'
      
    ```
  </Tab>

  <Tab title="python">
    ```python theme={}
    import requests
    url = "https://api.argyle.com/v1/search/link-items"
    headers = {
    "accept": "application/json",
    "content-type": "application/json"
    }
    response = requests.get(url, headers=headers)
    ```
  </Tab>
</Tabs>

```json theme={}

[
  {
"id": "amazin",
"item_id": "017ac309-917e-2418-b1e5-00bac5516c80",
"name": "Amazin",
"type": "technology",
"has_two_fa": false,
"is_disabled": false,
"kind": "employer",
"known_limitations": null,
"status": "healthy",
"status_details": null,
"logo_url": "https://res.cloudinary.com/argyle-media/image/upload/v1598543068/partner-logos/amazin.png",
"features": {
  "pay_distribution_update": {
"supported": true,
"max_allocations": 4,
"amount_allocation": true,
"percent_allocation": false,
"amount_precision": "0.01",
"percent_precision": null,
"action_types": [],
"required_fields": {
  "bank_account": [
"routing_number",
"account_number",
"account_type"
  ]
}
  },
  "pay_distribution_card_update": {
"supported": false
  }
}
  },
  {
"id": "gnomedepot",
"item_id": "017ac309-9946-86af-ae5c-6076f572815d",
"name": "Gnome Depot",
"type": "retail",
"has_two_fa": false,
"is_disabled": false,
"kind": "employer",
"known_limitations": null,
"status": "healthy",
"status_details": null,
"logo_url": "https://res.cloudinary.com/argyle-media/image/upload/v1585923758/partner-logos/gnomedepot.png",
"features": {
  "pay_distribution_update": {
"supported": true,
"max_allocations": 4,
"amount_allocation": true,
"percent_allocation": false,
"amount_precision": "0.01",
"percent_precision": null,
"action_types": [],
"required_fields": {
  "bank_account": [
"routing_number",
"account_number",
"account_type"
  ]
}
  },
  "pay_distribution_card_update": {
"supported": false
  }
}
  }
],
null,
2
  
```
